#![no_std]
#![no_main]

use stm32f1xx_hal::pac;

use nixie_clock::application;

#[cortex_m_rt::entry]
fn main() -> ! {
    // Get access to the core peripherals from the cortex-m crate
    let cp = cortex_m::Peripherals::take().unwrap();
    // Get access to the device specific peripherals from the peripheral access crate
    let dp = pac::Peripherals::take().unwrap();

    let app = application::setup(cp, dp);
    app.run()
}
